explain_fprintf_or_die(3)

NAME
explain_fprintf_or_die - formatted output conversion and report errors
    "formatted output conversion and report errors"

SYNOPSIS
#include <libexplain/fprintf.h>

int explain_fprintf_or_die(FILE *fp, const char *format, ...);
int explain_fprintf_on_error(FILE *fp, const char *format, ...);

DESCRIPTION
The explain_fprintf_or_die function is used to call the fprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fprintf_on_error function is used to call the fprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fprintf(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fprintf(3) system call.

format
    The format, exactly as to be passed to the fprintf(3) system call.

RETURN VALUE
The explain_fprintf_or_die function only returns on success, see fprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fprintf_on_error function always returns the value return by the wrapped fprintf(3) system call.

EXAMPLE
The explain_fprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_fprintf_or_die(fp, format, ...);

SEE ALSO

fprintf(3)
    formatted output conversion

explain_fprintf(3)
    explain fprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller